Bug 867370 - 3.5 regression: echo o > /proc/sysrq-trigger no longer powers off - system is partly frozen
3.5 regression: echo o > /proc/sysrq-trigger no longer powers off - system ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 07:37 EDT by Mads Kiilerich
Modified: 2013-04-23 13:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:24:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (64.18 KB, text/plain)
2012-10-17 07:37 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2012-10-17 07:37:38 EDT
Created attachment 628719 [details]
dmesg

Writing o to /proc/sysrq-trigger no longer works on this machine. Keyboard and mouse doesn't work, but programs keeps running and the usual window pops up when pressing the poweroff buttun. It works on other machines.

"systemctl poweroff --force --force" seems to work ... even though I assume it does almost the same.

The machine is a FUJITSU LIFEBOOK E751/FJNB223 with kernel-3.6.1-1.fc17.x86_64 on EFI.

This seems to be a regression from previous kernel versions. It might be related to EFI.
Comment 1 Mads Kiilerich 2012-10-17 08:04:03 EDT
I see the same behaviour on an Asus UX32A, so I guess it is EFI related. But this time the console scrolled as if Enter were kept pressed while it was "freezing".

It seems to work on Apple "EFI".
Comment 2 Mads Kiilerich 2012-10-17 08:39:31 EDT
It works with kernel-3.4.6-2.fc17.x86_64 on the Lifebook -> regression.
Comment 3 Mads Kiilerich 2012-10-17 09:33:00 EDT
It also doesn't work with kernel-3.5.6-1.fc17.x86_64.
Comment 4 Mads Kiilerich 2012-10-17 11:29:19 EDT
Someone else should allegedly have seen the same on a non-EFI HP. The claim that it is related to EFI might thus not be correct.
Comment 5 Mads Kiilerich 2012-10-30 14:55:59 EDT
On the system described in Bug 862083 I get this when booted with KMS (and thus an oops and a black screen and connected through ssh):

[root@user07 ~]# echo o > /proc/sysrq-trigger 
[root@user07 ~]# dmesg|tail -n3
[ 1038.494180] SysRq : Power Off
[ 1088.574960] SysRq : Power Off
[ 1116.239112] SysRq : Power Off
[root@user07 ~]# uname -a
Linux user07 3.7.0-0.rc3.git0.1.fc19.i686.PAEdebug #1 SMP Tue Oct 30 15:09:24 UTC 2012 i686 i686 i386 GNU/Linux
[root@user07 ~]# 

'init 6' and other ways of shutting down also didn't work.

Booting the same system with nomodeset (and thus working graphics) everything works as expected.


It might be ok that sysrq fails, but when 'init 6' also fails then indicates a more fundamental problem in the shutdown code.
Comment 6 Fedora End Of Life 2013-04-03 12:21:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Justin M. Forbes 2013-04-03 12:52:27 EDT
Is this still an issue with 3.9-rc kernels from F19?
Comment 8 Justin M. Forbes 2013-04-23 13:24:57 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.